Rotate Key
Rotates the monitoring pipeline key, invalidating the previous one. The new key is returned only in this response and cannot be retrieved again.
The token can be generated using the Authentication API.
The ID (UUID) of the Pipeline.
f72521ba-1590-5998-bf96-6eb997a5887dRotate Key succeeded.
Contains the newly generated pipeline key, returned only by the key rotation operation. The value cannot be retrieved again later.
The key is shared once and is used to authenticate the metrics sent to the pipeline.
momSrlgAAEmaYEvBsMr^HsYnBad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Not Found
The resource that was requested could not be found.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
POST /pipelines/{pipelineId}/key HTTP/1.1
Host: monitoring.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"key": "momSrlgAAEmaYEvBsMr^HsYn"
}Last updated
Was this helpful?